#include "stm32f4xx.h" 
#include "core_cm4.h"
#include "CommandsDefine.h"
#include "ProjectConfig.h"
#include "Probe_MSO7000X_2d5g.h"
#include "AnalogChannelCtrl_2d5g_base.h"
 
//////////////////////////////////////////////////////////////////////////////
// 			2203/7/X GHz_ljw 合并版 
//////////////////////////////////////////////////////////////////////////////

void throwHardFaultException(void)
{
    SCB->SHCSR |= SCB_SHCSR_USGFAULTENA_Msk;  // 使能硬件异常
    SCB->CCR |= SCB_CCR_DIV_0_TRP_Msk;        // 触发除零异常

    // 设置硬件异常为挂起状态
    NVIC_SetPendingIRQ((IRQn_Type)0x03);

    // 在下一个时钟周期中触发硬件异常
    __DSB();
    __ISB();
}

void CMD0xE0_Request_ThrowHDError_process(u8 *pData,u16 dataLen,u8 bIsContentBitInverted_Recv,u8 bIsContentBitInverted_SendBack)
{
	Command_SendbackOKMessage();
	throwHardFaultException();
	volatile int dummy = 0; 
}
